# Uses of Class
net.shibboleth.idp.attribute.resolver.dc.saml.impl.SAMLDataConnector

Packages that use SAMLDataConnector
Package
Description
net.shibboleth.idp.attribute.resolver.dc.saml.impl
A `DataConnector` implementation that queries data from a SAML attribute authority.

## Uses of SAMLDataConnector in net.shibboleth.idp.attribute.resolver.dc.saml.impl

Fields in net.shibboleth.idp.attribute.resolver.dc.saml.impl declared as SAMLDataConnector
Modifier and Type
Field
Description
`private SAMLDataConnector`
SimpleAggregationSAMLDataConnector.`queryConnector`
The SAML Data Connector which performs the actual attribute resolution operations.
Methods in net.shibboleth.idp.attribute.resolver.dc.saml.impl that return SAMLDataConnector
Modifier and Type
Method
Description
`SAMLDataConnector`
SimpleAggregationSAMLDataConnector.`getQueryConnector()`
Get the `SAMLDataConnector` instance to use.
Methods in net.shibboleth.idp.attribute.resolver.dc.saml.impl with parameters of type SAMLDataConnector
Modifier and Type
Method
Description
`void`
SimpleAggregationSAMLDataConnector.`setQueryConnector(SAMLDataConnector connector)`
Set the `SAMLDataConnector` instance to use.